
Redmine - Defect #18066

404 Error when Creating New Issue

2014-10-10 18:02 - Barnes Bundle

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.4.4

Description

Hi, I have the same issue as described in #17370 which had been closed without any answer. I think it's a bug, that's why I describe

it with some logs.

When I try to create an issue by filling every fields except parent, redmine warns me that the default parent task 0 is invalid.

If I empty the parent field and repost the form I got a 404 error with this server log :

Started GET "/projects/testproj/issues/new" for 127.0.0.1 at 2014-10-08 10:59:18 +0200

Processing by IssuesController#new as HTML

  Parameters: {"project_id"=>"testproj"}

  Current user: dev(id=2)

  Rendered issues/_form_custom_fields.html.erb (31.0ms)

  Rendered issues/_attributes.html.erb (156.0ms)

  Rendered issues/_form.html.erb (234.0ms)

  Rendered attachments/_form.html.erb (16.0ms)

  Rendered issues/new.html.erb within layouts/base (250.0ms)

Completed 200 OK in 484.0ms (Views: 218.0ms | ActiveRecord: 155.0ms)

Started POST "/projects/testproj/issues" for 127.0.0.1 at 2014-10-08 10:59:58 +0200

Processing by IssuesController#create as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"0ELxq1yuzmkfrTze8a/AvCOPND542Hk946rJkEnmHy8=", 

"issue"=>{"is_private"=>"1", "tracker_id"=>"1", "subject"=>"z", "description"=>"z", "status_id"=>"

1", "priority_id"=>"2", "assigned_to_id"=>"", "fixed_version_id"=>"6", "parent_issue_id"=>"", "sta

rt_date"=>"2014-10-08", "due_date"=>"2014-10-08", "estimated_hours"=>"8", "done_ratio"=>"0"}, "com

mit"=>"Créer", "project_id"=>"testproj"}

  Current user: dev(id=2)

  Rendered mailer/_issue.text.erb (16.0ms)

  Rendered mailer/issue_add.text.erb within layouts/mailer (16.0ms)

  Rendered mailer/_issue.html.erb (0.0ms)

  Rendered mailer/issue_add.html.erb within layouts/mailer (16.0ms)

Completed 404 Not Found in 1500.0ms

ActiveRecord::RecordNotFound (Couldn't find Issue without an ID):

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:497:in `move_to'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:426:in `in_tenacious

_transaction'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:492:in `move_to'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:491:in `move_to'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:356:in `move_to_righ

t_of'

  app/models/issue.rb:1309:in `update_nested_set_attributes_on_parent_change'

  app/models/issue.rb:1294:in `update_nested_set_attributes'

  app/models/issue.rb:165:in `create_or_update'

  app/controllers/issues_controller.rb:146:in `create'

History

#1 - 2014-10-10 18:10 - Barnes Bundle

I omit to mention that redmine is running on windows 2003 with jruby backed by sql server 2008 database.

#2 - 2014-10-10 18:25 - Toshi MARUYAMA

- Status changed from New to Needs feedback
https://www.redmine.org/issues/17370


See Submissions.

#3 - 2014-10-13 07:05 - Barnes Bundle

Toshi MARUYAMA wrote:

See Submissions.

 Hello,

Here's the result of the script/about :

Environment:

Redmine version                2.4.4.stable

Ruby version                   1.9.3-p392 (2013-05-16) [java]

Rails version                  3.2.17

Environment                    production

Database adapter               MSSQL

SCM:

Subversion                     1.7.5

Cvs                            2.0.51

Filesystem

Redmine plugins:

redmine_mylyn_connector        2.8.2.stable

It's a fresh install, i didn't upgrade from an old version of redmine.

I don't know what other information i could provide.

Thank you for your support

#4 - 2014-10-13 07:58 - Toshi MARUYAMA

I don't know SQL server because I don't use it.

Redmine CI server uses SQL Server 2012 and tests pass.

http://www.redmine.org/builds/index.html

#5 - 2018-10-09 14:59 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Wont fix

Jruby is no longer supported starting with Redmine 3.0.0.
